<!DOCTYPE html>
<html lang="fr"> 
    <head>
        <meta charset="utf-8">
        <title>Le jeu du devin</title>

        <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
        <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

        <script src="./Le_jeu_du_devin.js"></script>

        <script>
            $( function() {
              $( "#spinner" ).spinner({
                spin: function( event, ui ) {
                  if ( ui.value > 100 ) {
                    $( this ).spinner( "value", 0 );
                    return false;
                  } else if ( ui.value < 0 ) {
                    $( this ).spinner( "value", 100 );
                    return false;
                  }
                }
              });
            } );
        </script>
    </head>

    <body>
        
        <h1>Le jeu du devin</h1>
        <label id="MSG">Entrez un nombre :</label>
        <br/>
        <input id="spinner" name="nombre"/>
        <button class="ui-button ui-widget ui-corner-all" onclick="devin(document.getElementsByName('nombre'))">Envoyer</button>
        <br/>
        <button class="ui-button ui-widget ui-corner-all" onclick="retry()">Relancer</button> 
    </body>
</html>